Bug 109529 - rpm dynamically linked
Summary: rpm dynamically linked
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-09 01:56 UTC by Bernie Innocenti
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-10 17:47:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernie Innocenti 2003-11-09 01:56:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20030927

Description of problem:
/bin/rpm is now dynamically linked against several
libraries, some of which are in /usr.

Even if this is intentional, I strongly recommend
reverting to a statically linked binary as in
RH8/RH9.

On one system, up2date crashed in the middle of
a big update, leaving an old version of
/bin/tls/libpthread.so along with several updated
binaries which were linked against new newer
glibc-2.3.2.

I was unable to run rpm to complete the upgrade,
turning a trivial problem into a hell.


Version-Release number of selected component (if applicable):
rpm-4.2.1-0.30

How reproducible:
Always

Steps to Reproduce:
1. ldd -r /bin/rpm

Additional info:

Comment 1 Jeff Johnson 2003-11-10 17:47:14 UTC
NPTL and TLS prevent static linking, there are legacy issues
with dlopen'ed modules.


Note You need to log in before you can comment on or make changes to this bug.